## itksnap 3.4.0

=== CMakeLists.txt ===
#--------------------------------------------------------------------------------
# PROJECT: SNAP                             
#--------------------------------------------------------------------------------
# This CMake file is modeled after QtTest example project from
# http://www.cmake.org/Wiki/BundleUtilitiesExample

PROJECT(SNAP)

#--------------------------------------------------------------------------------
# CMAKE PRELIMINARIES                       
#--------------------------------------------------------------------------------
cmake_minimum_required(VERSION 2.8.12)

IF(POLICY CMP0026)
  cmake_policy(SET CMP0026 OLD)
ENDIF(POLICY CMP0026)

SET(CMAKE_MODULE_PATH ${SNAP_SOURCE_DIR}/CMake)

#--------------------------------------------------------------------------------
# MACROS
#--------------------------------------------------------------------------------
# Get today's date (see http://cmake.3232098.n2.nabble.com/How-to-get-the-current-date-td5776870.html)
MACRO (TODAY RESULT)
    IF (WIN32)
        EXECUTE_PROCESS(COMMAND "cmd" " /C date /T" OUTPUT_VARIABLE ${RESULT})
        string(REGEX REPLACE "(..)/(..)/(....).*" "\\1/\\2/\\3" ${RESULT} ${${RESULT}})
    ELSEIF(UNIX)
        EXECUTE_PROCESS(COMMAND "date" "+%b %d, %Y" OUTPUT_VARIABLE ${RESULT})
        string(REGEX REPLACE "(...) (..), (....).*" "\\1 \\2, \\3" ${RESULT} ${${RESULT}})
    ELSE (WIN32)
        MESSAGE(SEND_ERROR "date not implemented")
        SET(${RESULT} 000000)
    ENDIF (WIN32)
	string(REPLACE "\n" "" ${RESULT} ${${RESULT}})
	string(REPLACE " " "" ${RESULT} ${${RESULT}})
ENDMACRO (TODAY)

get_cmake_property(_variableNames VARIABLES)
foreach (_variableName ${_variableNames})
    message(STATUS "${_variableName}=${${_variableName}}")
endforeach()


#--------------------------------------------------------------------------------
# VERSION INFORMATION                       
#--------------------------------------------------------------------------------
# On SNAP versions.
# =================
# The SNAP version consists of four fields: major, minor, patch and qualifier
# for example, version 1.7.3-beta has major version 1, minor version 7, patch 3
# and qualifier "-beta". Major, minor and patch must be numbers, but the qualifier
# is an arbitrary string and may be blank. 

# These four fields should be modified when versions change
SET(SNAP_VERSION_MAJOR 3)
SET(SNAP_VERSION_MINOR 4)
SET(SNAP_VERSION_PATCH 0)
SET(SNAP_VERSION_QUALIFIER "")

# These fields should also be modified each time
SET(SNAP_VERSION_RELEASE_DATE "20151130")
SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Nov 30, 2015")

# This field should only change when the format of the settings files changes
# in a non backwards-compatible way
SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20131201")

# This should not need to change
SET(SNAP_VERSION_FULL 
  "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")

# Get today's date (see http://cmake.3232098.n2.nabble.com/How-to-get-the-current-date-td5776870.html)
TODAY(SNAP_VERSION_COMPILE_DATE)

# Get the current git hash
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake/rpavlik/")
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC SNAP_VERSION_GIT_SHA1)

# Get the current git branch
include(GitBranch)
get_git_branch(SNAP_VERSION_GIT_BRANCH)

# Print the Git information
MESSAGE(STATUS "   GIT Info: BRANCH ${SNAP_VERSION_GIT_BRANCH}, SHA: ${SNAP_VERSION_GIT_SHA1}")

#--------------------------------------------------------------------------------
# FIND PACKAGES IF BUILDING OUTSIDE INSIGHTAPPLICATIONS 
#--------------------------------------------------------------------------------

# Add option to build on qt 4.x
OPTION(SNAP_USE_QT4 "Compile using Qt version 4.8 for compatibility with older systems and VNC/x2go" OFF)

IF(DEFINED InsightApplications_SOURCE_DIR)
  SET(BUILD_OUTSIDE_INSIGHT_APPLICATIONS FALSE CACHE BOOL 
	"Is SNAP being built separate from InsightApplications?")
ELSE(DEFINED InsightApplications_SOURCE_DIR)
  SET(BUILD_OUTSIDE_INSIGHT_APPLICATIONS TRUE CACHE BOOL 
	"Is SNAP being built separate from InsightApplications?")
ENDIF(DEFINED InsightApplications_SOURCE_DIR)			

IF( BUILD_OUTSIDE_INSIGHT_APPLICATIONS )
  INCLUDE(${SNAP_SOURCE_DIR}/CMake/standalone.cmake)
ENDIF( BUILD_OUTSIDE_INSIGHT_APPLICATIONS )

#--------------------------------------------------------------------------------
# CPACK PACKAGE NAME
# Create a complete name for the package, including the system information
# (Shamelessly stolen from ParaView's CMakeLists.txt)
#--------------------------------------------------------------------------------
# *** THIS CODE MUST APPEAR BEFORE CALLING CONFIGURE_FILE on SNAPCommon.cxx ***
#--------------------------------------------------------------------------------

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
IF (CMAKE_SYSTEM_PROCESSOR MATCHES "unknown")
  EXEC_PROGRAM(uname ARGS "-m" OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "unknown")
IF(NOT DEFINED CPACK_SYSTEM_NAME)
  SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})
ENDIF(NOT DEFINED CPACK_SYSTEM_NAME)
IF(${CPACK_SYSTEM_NAME} MATCHES Windows)
  IF(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win64-${CMAKE_SYSTEM_PROCESSOR})
  ELSE(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
  ENDIF(CMAKE_CL_64)
ENDIF(${CPACK_SYSTEM_NAME} MATCHES Windows)

# For Apple, we need to base the filename on the architecture
IF(CMAKE_SYSTEM_NAME MATCHES Darwin)
  MESSAGE(STATUS "   INARCH ${CMAKE_OSX_ARCHITECTURES}")

  # TODO: when CMAKE_OSX_ARCHITECTURES is not set this causes an obscure
  # CMake error. Should generate a meaningful message instead
  STRING(REPLACE ";" "-" ARCH "${CMAKE_OSX_ARCHITECTURES}")
  SET(CPACK_SYSTEM_NAME "MacOS-${ARCH}")
  MESSAGE(STATUS "   ARCH ${ARCH}")
  MESSAGE(STATUS "   CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES}")
ENDIF(CMAKE_SYSTEM_NAME MATCHES Darwin)

MESSAGE(STATUS "   CPACK_SYSTEM_NAME ${CPACK_SYSTEM_NAME}")

IF(NOT SNAP_USE_QT4)
  SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
ELSE(NOT SNAP_USE_QT4)
  SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}-qt4")
ENDIF(NOT SNAP_USE_QT4)

MESSAGE(STATUS "   CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_FILE_NAME}")

# Additional CPack resources
SET(CPACK_RESOURCE_FILE_LICENSE "${SNAP_SOURCE_DIR}/COPYING")

#--------------------------------------------------------------------------------
# SOURCE FILE SPECIFICATION                 
#--------------------------------------------------------------------------------

# One of the files needs to be configured (to insert version info)
CONFIGURE_FILE(
  ${SNAP_SOURCE_DIR}/Common/SNAPCommon.cxx.in
  ${SNAP_BINARY_DIR}/SNAPCommon.cxx @ONLY IMMEDIATE)

# Option to use GPU for SNAP
OPTION(SNAP_USE_GPU "Use GPU in SNAP" OFF) 

# Pass the option SNAP_USE_GPU to a header file
CONFIGURE_FILE(
  ${SNAP_SOURCE_DIR}/Common/GPUSettings.h.in
  ${SNAP_BINARY_DIR}/GPUSettings.h @ONLY IMMEDIATE)

# The part of the source code devoted to the SNAP application logic
# is organized into a separate library
SET(LOGIC_CXX
  ${SNAP_BINARY_DIR}/SNAPCommon.cxx
  Common/AbstractModel.cxx
  Common/AbstractPropertyContainerModel.cxx
  Common/CommandLineArgumentParser.cxx
  Common/EventBucket.cxx
  Common/HistoryManager.cxx
  Common/IPCHandler.cxx
  Common/IRISException.cxx
  Common/Rebroadcaster.cxx
  Common/Registry.cxx
  Common/SNAPOpenGL.cxx
  Common/SystemInterface.cxx
  Common/ThreadSpecificData.cxx
  Common/ITKExtras/itkVoxBoCUBImageIO.cxx
  Common/ITKExtras/itkVoxBoCUBImageIOFactory.cxx
  Common/Trackball.cxx
  Logic/Common/ColorLabelTable.cxx
  Logic/Common/ColorMap.cxx
  Logic/Common/ColorMapPresetManager.cxx
  Logic/Common/ImageCoordinateGeometry.cxx
  Logic/Common/ImageCoordinateTransform.cxx
  Logic/Common/IRISDisplayGeometry.cxx
  Logic/Common/LabelUseHistory.cxx
  Logic/Common/MetaDataAccess.cxx
  Logic/Common/SegmentationStatistics.cxx
  Logic/Common/SNAPAppearanceSettings.cxx
  Logic/Common/SNAPRegistryIO.cxx
  Logic/Common/SNAPSegmentationROISettings.cxx
  Logic/Framework/DefaultBehaviorSettings.cxx
  Logic/Framework/GenericImageData.cxx
  Logic/Framework/GlobalState.cxx
  Logic/Framework/ImageAnnotationData.cxx
  Logic/Framework/ImageIODelegates.cxx
  Logic/Framework/IRISApplication.cxx
  Logic/Framework/IRISImageData.cxx
  Logic/Framework/LayerIterator.cxx
  Logic/Framework/SNAPImageData.cxx
  Logic/Framework/UndoDataManager_LabelType.cxx
  Logic/ImageWrapper/CommonRepresentationPolicy.cxx
  Logic/ImageWrapper/DisplayMappingPolicy.cxx
  Logic/ImageWrapper/ImageWrapperBase.cxx
  Logic/ImageWrapper/ImageWrapper.cxx
  Logic/ImageWrapper/InputSelectionImageFilter.cxx
  Logic/ImageWrapper/GuidedNativeImageIO.cxx
  Logic/ImageWrapper/ScalarImageHistogram.cxx
  Logic/ImageWrapper/ScalarImageWrapper.cxx
  Logic/ImageWrapper/VectorImageWrapper.cxx
  Logic/LevelSet/SnakeParameters.cxx
  Logic/LevelSet/SnakeParametersPreviewPipeline.cxx
  Logic/Mesh/AllPurposeProgressAccumulator.cxx
  Logic/Mesh/GuidedMeshIO.cxx
  Logic/Mesh/MultiLabelMeshPipeline.cxx
  Logic/Mesh/LevelSetMeshPipeline.cxx
  Logic/Mesh/MeshManager.cxx
  Logic/Mesh/MeshOptions.cxx
  Logic/Mesh/VTKMeshPipeline.cxx
  Logic/Preprocessing/EdgePreprocessingSettings.cxx
  Logic/Preprocessing/PreprocessingFilterConfigTraits.cxx
  Logic/Preprocessing/ThresholdSettings.cxx
  Logic/Preprocessing/GMM/EMGaussianMixtures.cxx
  Logic/Preprocessing/GMM/Gaussian.cxx
  Logic/Preprocessing/GMM/GaussianMixtureModel.cxx
  Logic/Preprocessing/GMM/KMeansPlusPlus.cxx
  Logic/Preprocessing/GMM/UnsupervisedClustering.cxx
  Logic/Preprocessing/RandomForest/RFClassificationEngine.cxx
  Logic/Preprocessing/RandomForest/RandomForestClassifier.cxx
  Logic/Preprocessing/Texture/MomentTextures.cxx
  Logic/Slicing/IntensityCurveVTK.cxx
  Logic/Slicing/IntensityToColorLookupTableImageFilter.cxx
  Logic/Slicing/LookupTableIntensityMappingFilter.cxx
  Logic/Slicing/RGBALookupTableIntensityMappingFilter.cxx
)

# The headers for the Logic code
SET(LOGIC_HEADERS
  ${SNAP_BINARY_DIR}/GPUSettings.h
  Common/AbstractModel.h
  Common/AbstractPropertyContainerModel.h
  Common/CommandLineArgumentParser.h
  Common/Credits.h
  Common/HistoryManager.h
  Common/IPCHandler.h
  Common/IRISException.h
  Common/IRISVectorTypes.h
  Common/IRISVectorTypes.txx
  Common/IRISVectorTypesToITKConversion.h
  Common/ITKExtras/itkBSplineScatteredDataPointSetToImageFilter.h
  Common/ITKExtras/itkBSplineScatteredDataPointSetToImageFilter.txx
  Common/ITKExtras/itkBinaryDiamondStructuringElement.h
  Common/ITKExtras/itkBinaryDiamondStructuringElement.txx
  Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.h
  Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.txx
  Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.h
  Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.txx
  Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.h
  Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.txx
  Common/ITKExtras/itkVoxBoCUBImageIO.h
  Common/ITKExtras/itkVoxBoCUBImageIOFactory.h
  Common/PresetManager.h
  Common/PresetManager.hxx
  Common/PropertyModel.h
  Common/Rebroadcaster.h
  Common/Registry.h
  Common/SNAPBorlandDummyTypes.h
  Common/SNAPCommon.h
  Common/SNAPOpenGL.h
  Common/SNAPEvents.h
  Common/SystemInterface.h
  Common/ThreadSpecificData.h
  Common/Trackball.h
  Logic/Common/ColorLabel.h
  Logic/Common/ColorLabelTable.h
  Logic/Common/ColorMap.h
  Logic/Common/ColorMapPresetManager.h
  Logic/Common/ImageCoordinateGeometry.h
  Logic/Common/ImageCoordinateTransform.h
  Logic/Common/IRISDisplayGeometry.h
  Logic/Common/LabelUseHistory.h
  Logic/Common/SegmentationStatistics.h
  Logic/Common/ImageRayIntersectionFinder.h
  Logic/Common/ImageRayIntersectionFinder.txx

=== GUI/Renderer/OrientationWidget/Test_ReorientGUI/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(ReorientGUI)

# Find VTK.
FIND_PACKAGE(VTK REQUIRED)
INCLUDE(${VTK_USE_FILE})

# use what QVTK built with
SET(QT_QMAKE_EXECUTABLE ${VTK_QT_QMAKE_EXECUTABLE} CACHE FILEPATH "")
SET(QT_MOC_EXECUTABLE ${VTK_QT_MOC_EXECUTABLE} CACHE FILEPATH "")
SET(QT_UIC_EXECUTABLE ${VTK_QT_UIC_EXECUTABLE} CACHE FILEPATH "")
SET(DESIRED_QT_VERSION ${VTK_DESIRED_QT_VERSION} CACHE FILEPATH "")
FIND_PACKAGE(Qt)
IF(QT_USE_FILE)
  INCLUDE(${QT_USE_FILE})
ELSE(QT_USE_FILE)
  SET(QT_LIBRARIES   ${QT_QT_LIBRARY})
ENDIF(QT_USE_FILE)

# Use the include path and library for Qt that is used by VTK.
INCLUDE_DIRECTORIES(
  ${QT_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/../Reorient
)

QT4_WRAP_UI(UI_SRCS ReorientGUI.ui)
QT4_WRAP_CPP(MOC_SRCS ReorientGUI.h)
SET(SRCS ${SRCS} ${MOC_SRCS}
  main.cxx
  Reorient.h Reorient.cxx
  ReorientGUI.h ReorientGUI.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/AxesWidget.h ${CMAKE_SOURCE_DIR}/../Reorient/AxesWidget.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/AbstractScannerHelper.h ${CMAKE_SOURCE_DIR}/../Reorient/AbstractScannerHelper.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/PolyDataAlgorithm2ActorPipe.h ${CMAKE_SOURCE_DIR}/../Reorient/PolyDataAlgorithm2ActorPipe.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/ScannedHuman.h ${CMAKE_SOURCE_DIR}/../Reorient/ScannedHuman.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/ScanningROI.h ${CMAKE_SOURCE_DIR}/../Reorient/ScanningROI.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/ReorientProps.h ${CMAKE_SOURCE_DIR}/../Reorient/ReorientProps.cxx
)

ADD_EXECUTABLE(ReorientGUI ${SRCS} ${UI_SRCS})

TARGET_LINK_LIBRARIES( ReorientGUI
  QVTK
  ${QT_LIBRARIES}
  vtkRendering
  vtkGraphics
  vtkIO
  vtkCommon
  vtkVolumeRendering
)

=== debian/changelog ===
itksnap (3.4.0-2) unstable; urgency=medium

  * d/p: Refresh patch 01
  * d/p: Add patch 02 to compile against VTK 6.3
  * d/control: Update standards version to 3.9.8

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Apr 2016 14:20:18 +0000

itksnap (3.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 11 Jan 2016 20:49:53 +0100

itksnap (3.2.0-3) unstable; urgency=medium

  * d/control: Set libdcmtk-dev dependency to unversioned package
  * d/: remove itksnap.menu file as this duplication with the desktop
        file is now prohibited
  * d/control: remove field 'section' from binary package tu quell 
     lintian -I: binary-control-field-duplicates-source

 -- Gert Wollny <gw.fossdev@gmail.com>  Sun, 10 Jan 2016 17:05:45 +0100

itksnap (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * `cme fix dpkg-control` to fix Vcs fields

 -- Andreas Tille <tille@debian.org>  Sat, 25 Jul 2015 13:44:04 +0200

=== debian/control ===
Source: itksnap
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libvtk6-dev,
               libinsighttoolkit4-dev,
               libgdcm2-dev,
               imagemagick,
               libdcmtk-dev,
               qtbase5-dev,
               libqt5webkit5-dev,
               libqt5opengl5-dev,
               qttools5-private-dev,
               libfftw3-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/itksnap.git
Vcs-Git: git://anonscm.debian.org/debian-med/itksnap.git
Homepage: http://www.itksnap.org

Package: itksnap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: semi-automatic segmentation of structures in 3D images
 SNAP provides semi-automatic segmentation of structures in medical
 images (e.g.  magnetic resonance images of the brain) using active
 contour methods, as well as manual delineation and image navigation.
 Noteworthy features are:
 .
  * Linked cursor for seamless 3D navigation
  * Manual segmentation in three orthogonal planes at once
  * Support for many different 3D image formats, including NIfTI
  * Support for concurrent, linked viewing and segmentation of multiple images
  * Limited support for color images (e.g., diffusion tensor maps)
  * 3D cut-plane tool for fast post-processing of segmentation results

=== debian/watch ===
version=3
http://sf.net/itk-snap/itksnap-source-([\d.]+)\.tar\.gz

## itksnap 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,13 +54,13 @@
 
 # These four fields should be modified when versions change
 SET(SNAP_VERSION_MAJOR 3)
-SET(SNAP_VERSION_MINOR 4)
+SET(SNAP_VERSION_MINOR 6)
 SET(SNAP_VERSION_PATCH 0)
 SET(SNAP_VERSION_QUALIFIER "")
 
 # These fields should also be modified each time
-SET(SNAP_VERSION_RELEASE_DATE "20151130")
-SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Nov 30, 2015")
+SET(SNAP_VERSION_RELEASE_DATE "20170401")
+SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Apr 1, 2017")
 
 # This field should only change when the format of the settings files changes
 # in a non backwards-compatible way
@@ -84,6 +84,17 @@
 
 # Print the Git information
 MESSAGE(STATUS "   GIT Info: BRANCH ${SNAP_VERSION_GIT_BRANCH}, SHA: ${SNAP_VERSION_GIT_SHA1}")
+
+#--------------------------------------------------------------------------------
+# ENSURE THAT SUBMODULES HAVE BEEN INITIALIZED AND UPDATED
+#--------------------------------------------------------------------------------
+if(NOT EXISTS "${SNAP_SOURCE_DIR}/Submodules/c3d/CMakeLists.txt")
+  MESSAGE(SEND_ERROR "Submodule c3d has not been initialized/updated. Git users, see README.git")
+endif()
+
+if(NOT EXISTS "${SNAP_SOURCE_DIR}/Submodules/greedy/CMakeLists.txt")
+  MESSAGE(SEND_ERROR "Submodule greedy has not been initialized/updated. Git users, see README.git")
+endif()
 
 #--------------------------------------------------------------------------------
 # FIND PACKAGES IF BUILDING OUTSIDE INSIGHTAPPLICATIONS 
@@ -236,8 +247,7 @@
   Logic/Preprocessing/GMM/GaussianMixtureModel.cxx
   Logic/Preprocessing/GMM/KMeansPlusPlus.cxx
   Logic/Preprocessing/GMM/UnsupervisedClustering.cxx
-  Logic/Preprocessing/RandomForest/RFClassificationEngine.cxx
-  Logic/Preprocessing/RandomForest/RandomForestClassifier.cxx
+  Logic/Preprocessing/RFClassificationEngine.cxx
   Logic/Preprocessing/Texture/MomentTextures.cxx
   Logic/Slicing/IntensityCurveVTK.cxx
   Logic/Slicing/IntensityToColorLookupTableImageFilter.cxx
@@ -253,6 +263,7 @@
   Common/CommandLineArgumentParser.h
   Common/Credits.h
   Common/HistoryManager.h
+  Common/ImageFunctions.h
   Common/IPCHandler.h
   Common/IRISException.h
   Common/IRISVectorTypes.h
@@ -264,6 +275,8 @@
   Common/ITKExtras/itkBinaryDiamondStructuringElement.txx
   Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.h
   Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.txx
+  Common/ITKExtras/itkMorphologicalContourInterpolator.h
+  Common/ITKExtras/itkMorphologicalContourInterpolator.hxx
   Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.h
   Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.txx
   Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.h
@@ -273,23 +286,3 @@
   Common/PresetManager.h
   Common/PresetManager.hxx
   Common/PropertyModel.h
-  Common/Rebroadcaster.h
-  Common/Registry.h
-  Common/SNAPBorlandDummyTypes.h
-  Common/SNAPCommon.h
-  Common/SNAPOpenGL.h
-  Common/SNAPEvents.h
-  Common/SystemInterface.h
-  Common/ThreadSpecificData.h
-  Common/Trackball.h
-  Logic/Common/ColorLabel.h
-  Logic/Common/ColorLabelTable.h
-  Logic/Common/ColorMap.h
-  Logic/Common/ColorMapPresetManager.h
-  Logic/Common/ImageCoordinateGeometry.h
-  Logic/Common/ImageCoordinateTransform.h
-  Logic/Common/IRISDisplayGeometry.h
-  Logic/Common/LabelUseHistory.h
-  Logic/Common/SegmentationStatistics.h
-  Logic/Common/ImageRayIntersectionFinder.h
-  Logic/Common/ImageRayIntersectionFinder.txx

=== ProgramData/CMakeLists.txt ===
SUBDIRS(HTMLHelp Images2D Presets)
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR} "\\.(txt)$")

=== ProgramData/Images2D/CMakeLists.txt ===
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/Images2D "\\.(png)$")
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/Images2D "\\.(hdr)$")
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/Images2D "\\.(img.gz)$")

=== Submodules/c3d/CMakeLists.txt ===
PROJECT(CONVERT3D)

# If we are building as a sub-project we skip all of this extra stuff
IF(NOT CONVERT3D_BUILD_AS_SUBPROJECT)

  # Nonsense for cmake 2.6 compatibility
  CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
  if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
  endif(COMMAND cmake_policy)

  # Do we want to build the UI
  OPTION(BUILD_GUI "Do you want to build the Qt-based C3D user interfaace?" OFF)

  # Get ITK
  FIND_PACKAGE(ITK REQUIRED)
  INCLUDE(${ITK_USE_FILE})

ENDIF(NOT CONVERT3D_BUILD_AS_SUBPROJECT)

# Include the library file
INCLUDE(${CONVERT3D_SOURCE_DIR}/ConvertNDLibrary.cmake)

IF(NOT CONVERT3D_BUILD_AS_SUBPROJECT)
  
  # Command-line executables
  ADD_EXECUTABLE(c3d Convert3DMain.cxx)
  TARGET_LINK_LIBRARIES(c3d ${C3D_LINK_LIBRARIES})

  ADD_EXECUTABLE(c2d Convert2DMain.cxx)
  TARGET_LINK_LIBRARIES(c2d ${C3D_LINK_LIBRARIES})

  ADD_EXECUTABLE(c4d Convert4DMain.cxx)
  TARGET_LINK_LIBRARIES(c4d ${C3D_LINK_LIBRARIES})

  ADD_EXECUTABLE(c3d_affine_tool utilities/AffineTransformTool.cxx)
  TARGET_LINK_LIBRARIES(c3d_affine_tool ${C3D_LINK_LIBRARIES})

  SET(CMDLINE_TARGETS c2d c3d c4d c3d_affine_tool)


  IF(WIN32)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
    SOURCE_GROUP("Adapter Sources" REGULAR_EXPRESSION "adapters/*cxx")
    SOURCE_GROUP("Adapter Headers" REGULAR_EXPRESSION "adapters/*h")
  ENDIF(WIN32)

  # Pull in FFTW
  FIND_LIBRARY(FFTW_LIB fftw3f)

  # =====================================================
  # OPTIONAL GUI BUILD
  # =====================================================
  IF(BUILD_GUI)

    # CMake modules taken from the GUI dir
    SET(CMAKE_MODULE_PATH ${CONVERT3D_SOURCE_DIR}/gui/CMake)

    #--------------------------------------------------------------------------------
    # Find Qt5
    #--------------------------------------------------------------------------------
    FIND_PACKAGE(Qt5Widgets)
    SET(CONVERT3D_QT5_INCLUDE_DIRS ${Qt5Widgets_INCLUDE_DIRS})
    SET(CONVERT3D_QT5_LIBRARIES Qt5::Widgets)

    #--------------------------------------------------------------------------------
    # Specify source files and headers
    #--------------------------------------------------------------------------------
    INCLUDE_DIRECTORIES(
      ${CONVERT3D_SOURCE_DIR}/gui
      ${CONVERT3D_BINARY_DIR}
      ${CONVERT3D_QT5_INCLUDE_DIRS}
    )

    SET(UI_QT_CXX 
      gui/CommandEditor.cxx 
      gui/ConvertSyntaxHighlighter.cxx 
      gui/HistoryDialog.cxx
      gui/MainWindow.cxx
      gui/SettingsDialog.cxx
      gui/main.cxx)

    SET(UI_MOC_HEADERS
      gui/CommandEditor.h
      gui/ConvertSyntaxHighlighter.h
      gui/HistoryDialog.h
      gui/MainWindow.h
      gui/SettingsDialog.h)

    SET(UI_FORMS 
      gui/HistoryDialog.ui
      gui/MainWindow.ui
      gui/SettingsDialog.ui)

    SET(UI_NONMOC_HEADERS)

    # Wrap the QT input files
    QT5_WRAP_UI(UI_FORM_HEADERS ${UI_FORMS})
    QT5_WRAP_CPP(UI_WRAPPED_MOC_HEADERS ${UI_MOC_HEADERS})

    # Configure the OS-specific parts of the GUI exe
    IF(APPLE)
      SET(C3DGUI_OSX_ICON ${CONVERT3D_SOURCE_DIR}/gui/resources/macos/c3dgui.icns)
      SET(UI_OS_EXTRAS ${C3DGUI_OSX_ICON})
    ENDIF(APPLE)

    #--------------------------------------------------------------------------------
    # Define main GUI executable
    #--------------------------------------------------------------------------------
    SET(C3DGUI_MAIN_SRC ${UI_QT_CXX} ${UI_WRAPPED_MOC_HEADERS} ${UI_MOC_HEADERS} 
      ${UI_NONMOC_HEADERS} ${UI_FORM_HEADERS} ${UI_OS_EXTRAS})

    # Define the main executable
    SET(C3DGUI_BUNDLE_NAME "Convert3DGUI")

    # Configure the executable's sources and libraries
    ADD_EXECUTABLE(${C3DGUI_BUNDLE_NAME} WIN32 MACOSX_BUNDLE ${C3DGUI_MAIN_SRC})
    TARGET_LINK_LIBRARIES(${C3DGUI_BUNDLE_NAME} ${CONVERT3D_QT5_LIBRARIES} ${C3D_LINK_LIBRARIES})

    #--------------------------------------------------------------------------------
    # Install the application
    #--------------------------------------------------------------------------------

    # On Apple, configure the application icon
    IF(APPLE)

      # set how it shows up in the Info.plist file
      SET(MACOSX_BUNDLE_ICON_FILE c3dgui.icns) 
      
      # set where in the bundle to put the icns file
      SET_SOURCE_FILES_PROPERTIES(${C3DGUI_OSX_ICON} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)

      # Set up the Info.plist file
      SET_TARGET_PROPERTIES(${C3DGUI_BUNDLE_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST
        ${CONVERT3D_SOURCE_DIR}/gui/resources/macos/Info.plist)

      # on Apple, the bundle is at the root of the
      # install tree, and on other platforms it'll go into the bin directory.
      INSTALL(TARGETS ${C3DGUI_BUNDLE_NAME} BUNDLE DESTINATION . COMPONENT Runtime)

      # Install the command line programs inside of the application
      INSTALL(TARGETS ${CMDLINE_TARGETS} DESTINATION ${C3DGUI_BUNDLE_NAME}.app/Contents/bin)

      # Include the qt4 dependent libraries
      include(DeployQt5)
      install_qt5_executable(${C3DGUI_BUNDLE_NAME}.app)

    ELSEIF(WIN32)

      # Set the PATH to include Qt libraries
    GET_FILENAME_COMPONENT(QT_BINARY_DIR "${Qt5Core_DIR}/../../../bin" ABSOLUTE)
    GET_FILENAME_COMPONENT(QT_LIBRARY_DIR "${Qt5Core_DIR}/../../" ABSOLUTE)

      # Install to the bin directory
      INSTALL(TARGETS ${C3DGUI_BUNDLE_NAME} RUNTIME DESTINATION bin)

      # Install the command line programs inside of the application
      INSTALL(TARGETS ${CMDLINE_TARGETS} DESTINATION bin)

      # Include the qt4 dependent libraries
      include(DeployQt5)

      # Make sure the GIF plugin is included
      get_property(QT_WIN_PLUGIN TARGET Qt5::QWindowsIntegrationPlugin PROPERTY LOCATION_RELEASE)

      # Install with the plugin
      install_qt5_executable(bin/${C3DGUI_BUNDLE_NAME}.exe "${QT_WIN_PLUGIN}")

      # On windows, we have to configure NSIS
      SET(CPACK_NSIS_INSTALLED_ICON_NAME "${C3DGUI_BUNDLE_NAME}.exe")
      SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Convert3D")
      SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.itksnap.org/c3d")
      SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.itksnap.org/c3d")

      # CMake does not yet know to install into (x64) program files or not
      IF(CMAKE_CL_64)
        SET(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES64")
      ENDIF(CMAKE_CL_64)

      # Give it a windowsy directory name
    SET(CPACK_PACKAGE_INSTALL_DIRECTORY "Convert3D")
      
      # On Win32, the executable is the actual exe
      SET(CPACK_PACKAGE_EXECUTABLES ${C3DGUI_BUNDLE_NAME} "Convert3D GUI")

    ELSE()

      SET(C3DGUI_EXE "c3d_gui")
      SET(C3DGUI_MAIN_INSTALL_DIR lib/c3d_gui-${C3D_VERSION_FULL})
      SET(CPACK_PACKAGE_EXECUTABLES ${C3DGUI_EXE} ${C3DGUI_BUNDLE_NAME})
      
      INSTALL(TARGETS ${C3DGUI_BUNDLE_NAME} RUNTIME DESTINATION ${C3DGUI_MAIN_INSTALL_DIR})

      # Install the command line programs inside of the application
      INSTALL(TARGETS ${CMDLINE_TARGETS} DESTINATION bin)

      # On Linux, we generate forward shared executable
      SUBDIRS(gui/Utilities/Forwarding)

      include(DeployQt5)
      install_qt5_executable(${C3DGUI_MAIN_INSTALL_DIR}/${C3DGUI_BUNDLE_NAME} "qgif")

    ENDIF()

  ELSE(BUILD_GUI)

    INSTALL(TARGETS c3d c2d c4d RUNTIME DESTINATION bin)

  ENDIF(BUILD_GUI)

  # Do the packaging
  INCLUDE(cmake/Package.cmake)

  # CDash Support
  ENABLE_TESTING()
  INCLUDE(CTest)

ENDIF(NOT CONVERT3D_BUILD_AS_SUBPROJECT)

=== Submodules/greedy/CMakeLists.txt ===
PROJECT(GREEDY_TOOL)

# If we are building as a sub-project we skip the extra steps
IF(NOT GREEDY_TOOL_BUILD_AS_SUBPROJECT)

  # Stand-alone build stuff
  CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

  # ITK
  FIND_PACKAGE(ITK 4.8.2 REQUIRED)
  INCLUDE(${ITK_USE_FILE})

  # Advanced option to link with FFT 
  OPTION(USE_FFTW "Use features provided by the FFTW library, only for experimental LDDMM code" OFF)

  # Deal with FFTW - only used by experimental LDDMM code
  IF(USE_FFTW)
    SET(ITK_USE_FFTWF ON)
    INCLUDE(CMake/FindFFTW.cmake)
    ADD_DEFINITIONS(-D_LDDMM_FFT_)
  ENDIF(USE_FFTW)

ENDIF(NOT GREEDY_TOOL_BUILD_AS_SUBPROJECT)

# Include the header directories
INCLUDE_DIRECTORIES(${GREEDY_TOOL_SOURCE_DIR}/src)

# Define header files
SET(HEADERS
  src/FastLinearInterpolator.h
  src/FastWarpCompositeImageFilter.h
  src/FastWarpCompositeImageFilter.txx
  src/LinearTransformToWarpFilter.h
  src/LinearTransformToWarpFilter.txx
  src/MultiImageAffineMSDMetricFilter.h
  src/MultiImageAffineMSDMetricFilter.txx
  src/MultiComponentImageMetricBase.h
  src/MultiComponentImageMetricBase.txx
  src/MultiImageOpticalFlowImageFilter.h
  src/MultiImageOpticalFlowImageFilter.txx
  src/MultiImageRegistrationHelper.h
  src/MultiImageRegistrationHelper.txx
  src/MultiComponentMutualInfoImageMetric.h
  src/MultiComponentMutualInfoImageMetric.txx
  src/MultiComponentNCCImageMetric.h
  src/MultiComponentNCCImageMetric.txx
  src/OneDimensionalInPlaceAccumulateFilter.h
  src/OneDimensionalInPlaceAccumulateFilter.txx
  src/SimpleWarpImageFilter.h
  src/SimpleWarpImageFilter.txx
  src/itkGaussianInterpolateImageFunction.h
  src/itkOptVectorLinearInterpolateImageFunction.h
  src/itkOptVectorLinearInterpolateImageFunction.txx
  src/lddmm_common.h
  src/lddmm_data.h
  src/GreedyAPI.h
  src/GreedyException.h
  src/GreedyParameters.h
  src/CommandLineHelper.h
)

# Define greedy library files
SET(GREEDY_LIB_SRC
  src/lddmm_data.cxx
  src/GreedyAPI.cxx
  src/GreedyParameters.cxx
)

SET(LDDMM_SRC src/lddmm_main.cxx)
SET(GREEDY_SRC src/greedy_main.cxx)

ADD_LIBRARY(greedyapi ${GREEDY_LIB_SRC} ${HEADERS})

# The executables are only compiled when the software is built as its own project
IF(NOT GREEDY_TOOL_BUILD_AS_SUBPROJECT)

  ADD_EXECUTABLE(lddmm ${LDDMM_SRC})
  TARGET_LINK_LIBRARIES(lddmm greedyapi
    ${ITK_LIBRARIES} ${FFTWF_LIB}
    ${FFTWF_THREADS_LIB})

  ADD_EXECUTABLE(greedy ${GREEDY_SRC})
  TARGET_LINK_LIBRARIES(greedy greedyapi ${ITK_LIBRARIES})

  ADD_EXECUTABLE(test_accum testing/src/TestOneDimensionalInPlaceAccumulateFilter.cxx)
  TARGET_LINK_LIBRARIES(test_accum ${ITK_LIBRARIES})

ENDIF(NOT GREEDY_TOOL_BUILD_AS_SUBPROJECT)

=== ProgramData/HTMLHelp/Artwork/CMakeLists.txt ===
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/HTMLHelp/Artwork "\\.(gif|png)$")

=== Submodules/c3d/itkextras/CMakeLists.txt ===
SUBDIRS(PovRayIO)
SUBDIRS(VoxBoIO)
SUBDIRS(RandomForest)

=== Submodules/c3d/utilities/CMakeLists.txt ===
ADD_EXECUTABLE(c3d_affine_tool AffineTransformTool.cxx)
TARGET_LINK_LIBRARIES(c3d_affine_tool ${ITK_LIBRARIES})

INSTALL(TARGETS c3d_affine_tool RUNTIME DESTINATION bin)
INSTALL(FILES bashcomp.sh DESTINATION share)

=== GUI/Renderer/OrientationWidget/Test_OrientationWidget/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(OrientationWidgetGUI)

FIND_PACKAGE(ITK REQUIRED)
INCLUDE(${ITK_USE_FILE})

# Find VTK.
FIND_PACKAGE(VTK REQUIRED)
INCLUDE(${VTK_USE_FILE})

# use what QVTK built with
SET(QT_QMAKE_EXECUTABLE ${VTK_QT_QMAKE_EXECUTABLE} CACHE FILEPATH "")
SET(QT_MOC_EXECUTABLE ${VTK_QT_MOC_EXECUTABLE} CACHE FILEPATH "")
SET(QT_UIC_EXECUTABLE ${VTK_QT_UIC_EXECUTABLE} CACHE FILEPATH "")
SET(DESIRED_QT_VERSION ${VTK_DESIRED_QT_VERSION} CACHE FILEPATH "")
FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui QtOpenGL REQUIRED)
IF(QT_USE_FILE)
  INCLUDE(${QT_USE_FILE})
ELSE(QT_USE_FILE)
  SET(QT_LIBRARIES   ${QT_QT_LIBRARY})
ENDIF(QT_USE_FILE)

INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS(${QT_DEFINITIONS})

# Look for OpenGL.
FIND_PACKAGE(OpenGL REQUIRED)

# Use the include path and library for Qt that is used by VTK.
INCLUDE_DIRECTORIES(
  ${QT_INCLUDE_DIR}
  ${CONFIGURED_SOURCE_DIRECTORY}
  ${OPENGL_INCLUDE_PATH}
  ${QT_QTSCRIPT_INCLUDE_DIR}
  ${QT_QTSCRIPTTOOLS_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/../Reorient
  ${CMAKE_SOURCE_DIR}/../../../Qt/View/
  ${CMAKE_SOURCE_DIR}/../../../../Common
)

QT4_WRAP_UI(UI_SRCS OrientationWidgetGUI.ui)
QT4_WRAP_CPP(MOC_SRCS OrientationWidgetGUI.h)
SET(SRCS ${SRCS} ${MOC_SRCS}
  main.cxx
  OrientationWidget.h OrientationWidget.cxx
  OrientationWidgetGUI.h OrientationWidgetGUI.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/AxesWidget.h ${CMAKE_SOURCE_DIR}/../Reorient/AxesWidget.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/AbstractScannerHelper.h ${CMAKE_SOURCE_DIR}/../Reorient/AbstractScannerHelper.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/PolyDataAlgorithm2ActorPipe.h ${CMAKE_SOURCE_DIR}/../Reorient/PolyDataAlgorithm2ActorPipe.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/ScannedHuman.h ${CMAKE_SOURCE_DIR}/../Reorient/ScannedHuman.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/ScanningROI.h ${CMAKE_SOURCE_DIR}/../Reorient/ScanningROI.cxx
  ${CMAKE_SOURCE_DIR}/../Reorient/ReorientProps.h ${CMAKE_SOURCE_DIR}/../Reorient/ReorientProps.cxx
  ${CMAKE_SOURCE_DIR}/../../../Qt/View/QtAbstractOpenGLBox.h ${CMAKE_SOURCE_DIR}/../../../Qt/View/QtAbstractOpenGLBox.cxx
  ${CMAKE_SOURCE_DIR}/../../../Qt/View/QtSimpleOpenGLBox.h ${CMAKE_SOURCE_DIR}/../../../Qt/View/QtSimpleOpenGLBox.cxx
  ${CMAKE_SOURCE_DIR}/../../../../Common/SNAPCommon.h
  #${CMAKE_SOURCE_DIR}/../../../Common/SNAPEvents.h
)

ADD_EXECUTABLE(OrientationWidgetGUI ${SRCS} ${UI_SRCS})

TARGET_LINK_LIBRARIES( OrientationWidgetGUI
  QVTK
  ${QT_LIBRARIES}
  ${QT_QTSCRIPT_LIBRARY}
  ${QT_QTSCRIPTTOOLS_LIBRARY}
  vtkRendering
  vtkGraphics
  vtkIO
  vtkCommon
  vtkVolumeRendering
)

=== Submodules/c3d/itkextras/PovRayIO/CMakeLists.txt ===
PROJECT(PovRayIO)

INCLUDE_DIRECTORIES(${PovRayIO_SOURCE_DIR})

ADD_LIBRARY(ITKPovRayIO 
  itkPovRayDF3ImageIO.cxx
  itkPovRayDF3ImageIOFactory.cxx)

=== Submodules/c3d/itkextras/RandomForest/CMakeLists.txt ===
#Empty

=== Submodules/c3d/itkextras/VoxBoIO/CMakeLists.txt ===
PROJECT(VoxBoIO)

INCLUDE_DIRECTORIES(${VoxBoIO_SOURCE_DIR})

ADD_LIBRARY(ITKVoxBoIO 
  itkVoxBoCUBImageIO.cxx
  itkVoxBoCUBImageIOFactory.cxx)

=== debian/changelog ===
itksnap (3.6.0-5) unstable; urgency=medium

  * d/ci: don't use experimental
  * d/ci: Don't silience build log

 -- Gert Wollny <gewo@debian.org>  Tue, 10 Dec 2019 10:26:30 +0100

itksnap (3.6.0-4) unstable; urgency=medium

  * d/control: Update build-deps to use libgdcm-dev
  * d/: cme fix dpkg: Minor fixes 
        - standards updated to 4.4.1 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Wed, 13 Nov 2019 18:54:01 +0100

itksnap (3.6.0-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 19:09:16 +0100

itksnap (3.6.0-2) unstable; urgency=medium

  * d/p/02: Add patch to properly test for SSE, Closes: #872353
  * d/control: Update to standards version 4.0.1

 -- Gert Wollny <gewo@debian.org>  Wed, 16 Aug 2017 13:06:37 +0000

itksnap (3.6.0-1) unstable; urgency=medium

  * re-upload to unstable

 -- Gert Wollny <gewo@debian.org>  Sun, 06 Aug 2017 10:04:41 +0000

itksnap (3.6.0-1~exp1) experimental; urgency=medium

  * New upstream version 3.6.0
  * d/control: GW: Update uploader email address to @debian.org
  * d/p/01: - update patch
  * d/p/02: - drop patch, applied upstream
  * d/itksnap.docs: update to ReleaseNotes.md
  * d/copyright: update file format and exclude matlab code and
    precompiled modules
  * d/control: cme fix dpkg-control
    - update VCS-URL to save versions
  * d/rules: Hardening += all

 -- Gert Wollny <gewo@debian.org>  Thu, 06 Apr 2017 15:22:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
-           Gert Wollny <gw.fossdev@gmail.com>
+           Gert Wollny <gewo@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 11),
                cmake,
                libvtk6-dev,
                libinsighttoolkit4-dev,
-               libgdcm2-dev,
+               libgdcm-dev,
                imagemagick,
                libdcmtk-dev,
                qtbase5-dev,
@@ -17,9 +17,9 @@
                libqt5opengl5-dev,
                qttools5-private-dev,
                libfftw3-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/itksnap.git
-Vcs-Git: git://anonscm.debian.org/debian-med/itksnap.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/itksnap
+Vcs-Git: https://salsa.debian.org/neurodebian-team/itksnap.git
 Homepage: http://www.itksnap.org
 
 Package: itksnap

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
CXXFLAGS+=-fPIC -funroll-loops -ftree-vectorize

# one ring to rule them all ...
%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DSNAP_PACKAGE_QT_PLUGINS=OFF


override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/itksnap/usr/share/pixmaps/
	convert $(CURDIR)/ProgramData/Images2D/EdgeForcesExample.png -resize 32x32 \
		$(CURDIR)/debian/itksnap/usr/share/pixmaps/itksnap.xpm

# test need the DISPLAY envirunment variable set, because they open a window.
# therefore I disable them for now, will have to look into xvfb
#
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "no tests run"
endif
